package com.hyxx.izb.config;

package ..deTemp.1742919393941;

import io.swagger.v3.oas.models.Components;
import io.swagger.v3.oas.models.OpenAPI;
import io.swagger.v3.oas.models.headers.Header;
import io.swagger.v3.oas.models.info.Info;
import io.swagger.v3.oas.models.security.SecurityRequirement;
import io.swagger.v3.oas.models.security.SecurityScheme;
import java.util.HashMap;
import java.util.Map;
import org.springdoc.core.models.GroupedOpenApi;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class SwaggerConfig {
  @Bean
  public OpenAPI customOpenAPI() {
    String apiTitle = "i直播";
    String apiVersion = "1.0.0";
    String apiDescription = "API 文档";
    Map<String, Header> headers = new HashMap<>();
    Header header = new Header();
    header.setDescription("刷新令牌");
    header.setRequired(Boolean.valueOf(true));
    headers.put("refresh_token", header);
    OpenAPI openAPI = (new OpenAPI()).info((new Info()).title("i直播").version("1.0.0").description("API 文档")).components((new Components()).addSecuritySchemes("access_token", (new SecurityScheme()).type(SecurityScheme.Type.APIKEY).in(SecurityScheme.In.HEADER).name("access_token")).addSecuritySchemes("refresh_token", (new SecurityScheme()).type(SecurityScheme.Type.APIKEY).in(SecurityScheme.In.HEADER).name("refresh_token"))).addSecurityItem((new SecurityRequirement())
        .addList("access_token")
        .addList("refresh_token"));
    return openAPI;
  }
  
  @Bean
  public GroupedOpenApi publicApi() {
    return GroupedOpenApi.builder()
      .group("public")
      .pathsToMatch(new String[] { "/**" }).build();
  }
}
